%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# Package is a GUI program, but there is no icon available.
# A .desktop file cannot be made without one => no desktop file.

Name:		qmforge
Version:	2.3.2
Release:	7%{?dist}
Summary:	Analysis tools for quantum mechanical calculations

Group:		Development/Languages
License:	GPLv2+
URL:		http://qmforge.sourceforge.net/

# Upstream tarball unavailable. Source tarball was generated locally
#
# git clone git://git.code.sf.net/p/qmforge/git-code -b 2.3 qmforge-2.3.2
# tar cvfz qmforge-2.3.2.tar.gz qmforge-2.3.2
Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	PyQt4
BuildRequires:	python2-devel
BuildRequires:	python2-cclib

Requires:	PyQt4
Requires:	PyQwt
Requires:	python-openbabel
Requires:	PyOpenGL
Requires:	python-cclib

%description
QMForge reads output from various quantum mechanical calculations and provides
tools for analyzing these results. Specifically, population (Mulliken and
C-squared), fragment, and charge decomposition analyses are available.

%prep
%setup -q
# Remove shebangs from libraries
for file in src/*; do
 grep -v "#!/usr/bin/env python" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done 

%build
# Remove CFLAGS=... for noarch packages (unneeded)
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%doc CHANGES.txt LICENSE.txt THANKS.txt
%{python_sitelib}/%{name}/
%{python_sitelib}/QMForge-*.egg-info
%{_bindir}/%{name}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 15 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.3.2-6
- Explicitly add python2 buildrequires

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 14 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org - 2.3.2-1
- Updated to upstream version 2.3.2
- Added CHANGES.txt, LICENSE.txt and THANKS.txt to docs

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 17 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.2-3
- Further corrections to dependency list
- Added PyQwt

* Mon Feb 17 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.2-2
- Corrected dependency list

* Wed Feb 12 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.2-1
- Updated to the latest upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 25 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 2.1-4
- Removed duplicate Requires: python-openbabel.
- Added Requires: PyOpenGL.

* Thu Apr 23 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 2.1-3
- Added missing BRs to be able to build in mock.

* Thu Apr 23 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 2.1-2
- Added comment about desktop file.

* Thu Apr 23 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 2.1-1
- First release.
